class Reticle {
	constructor(game, x, y, r, vx, vy, vr){
		this.game = game;
		
		// Rendering
		this.layer = "foreground";
		this.texture = game.textures.projectiles;
		this.map = game.atlas.particles.reticle;
		
		// Scale
		this.scale = 1;
		this.size = this.scale * 15;
		
		// Physics
		this.x = x;
		this.y = y;
		this.r = r;
		this.vx = vx;
		this.vy = vy;
		this.vr = vr;
		
		// Debris Particle
		this.maxLife = 3.5;
		this.life = this.maxLife;
	}
	
	
	update(delta){
		// Physics
		this.x += this.vx * delta * 60;
		this.y += this.vy * delta * 60;
		this.r += this.vr * delta * 60;
		
		return this.life -= delta;
	}
	
	
	draw(context, textures, atlas){
		var texture = this.texture,
			map = this.map;
		
		context.save();
		context.translate(this.x, this.y);
		context.rotate(this.r/180*Math.PI);
		
		context.globalAlpha = (1 - this.life/this.maxLife) * 10;
		context.drawImage(texture, map[0], map[1], map[2], map[3], -this.size/2, -this.size/2, this.size, this.size);

		context.restore();
	
	}
}
